package discovery

import (
	"git.loafle.net/overflow/overflow_probe/discovery/core/scan/zone"
	"git.loafle.net/overflow/overflow_probe/discovery/discovery/types"
)

func discoveryZone(callback discoverZoneCallback) {
	// zone
	zoneCallback := func(zone *types.DiscoveryZone) {
		// pcap wrapper instance create
		// callback call
		callback(zone)

	}
	zone.Scan(zoneCallback)
}
